Bug 245222 - sysutils/py-borgmatic: Update to 1.5.1
Summary: sysutils/py-borgmatic: Update to 1.5.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Vinícius Zavam
URL: https://projects.torsion.org/witten/b...
Keywords: buildisok, easy, patch-ready
Depends on:
Blocks:
 
Reported: 2020-03-31 19:49 UTC by Victor Bouvier-Deleau
Modified: 2020-05-21 19:50 UTC (History)
0 users

See Also:
egypcio: maintainer-feedback+


Attachments
Patch to update py-borgmatic from 1.3.26_1 to 1.5.1 (835 bytes, patch)
2020-03-31 19:49 UTC, Victor Bouvier-Deleau
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Victor Bouvier-Deleau 2020-03-31 19:49:58 UTC
Created attachment 212917 [details]
Patch to update py-borgmatic from 1.3.26_1 to 1.5.1

Patch to update py-borgmatic from 1.3.26_1 to 1.5.1.

I've searched the project repository for new files that would contain references to '/etc/borgmatic' other than the one already present in the 'post-patch' section of the Makefile and didn't find any.

This was tested by creating a borgmatic config from scratch, making a backup to a remote repository and restoring it locally.

Changelog: https://projects.torsion.org/witten/borgmatic/src/tag/1.5.1/NEWS
Comment 1 Automation User 2020-04-15 00:11:56 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/136027914
Comment 2 Vinícius Zavam freebsd_committer 2020-05-01 09:00:43 UTC
ACK. very appreciated! I should review and commit as soon as my new poudriere env finishes updating itself; testing for other architectures is also in my TODO for this patch.

thanks for sharing and reporting it!
Comment 3 commit-hook freebsd_committer 2020-05-21 19:48:28 UTC
A commit references this bug:

Author: egypcio
Date: Thu May 21 19:47:31 UTC 2020
New revision: 536146
URL: https://svnweb.freebsd.org/changeset/ports/536146

Log:
  sysutils/py-borgmatic: update 1.3.26 to 1.5.4

    - builds fine for 11/12/head, multiple archs;
    - creating config from scratch wotks;
    - making a backup works;
    - restoring from a backup also works.

  PR:		245222
  Reported by:	Victor Bouvier-Deleau <victor.bouvier-deleau % kolabnow.com>

Changes:
  head/sysutils/py-borgmatic/Makefile
  head/sysutils/py-borgmatic/distinfo
Comment 4 Vinícius Zavam freebsd_committer 2020-05-21 19:50:58 UTC
committed! apologize for this massive delay. appreciated the patch; thank you.

  * pushed 1.5.4 instead of 1.5.1